﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace iSteam.Sdk
{
    internal class Constants
    {
        #region *** GET ***

        internal static String SteamAuthUrl = "ISteamOAuth2/GetTokenWithCredentials/v0001";
        internal static String SteamFriendsListUrl = "ISteamUserOAuth/GetFriendList/v0001?access_token={0}&steamid={1}";
        internal static String SteamUserInfoUrl = "ISteamUserOAuth/GetUserSummaries/v0001?access_token={0}&steamids={1}";
        internal static String SteamGroupListUrl = "ISteamUserOAuth/GetGroupList/v0001?access_token={0}&steamid={1}";
        internal static String SteamGroupInfoUrl = "ISteamUserOAuth/GetGroupSummaries/v0001?access_token={0}&steamids={1}";
        internal static String SteamMessageUrl = "ISteamWebUserPresenceOAuth/Message/v0001";
        internal static String SteamPollUrl = "ISteamWebUserPresenceOAuth/Poll/v0001";
        internal static String SteamServerInfoUrl = "ISteamWebAPIUtil/GetServerInfo/v0001";
        internal static String SteamLoginUrl = "ISteamWebUserPresenceOAuth/Logon/v0001"; 

        // XML Formatted community data, ISteam path does  not support getting users in a group. This is necessary for smart objects to work.
        internal static String SteamAdditionalGroupInfoUrl = "gid/{0}/memberslistxml/?xml=1";

        #endregion

        #region *** POST ***

        internal static String SteamAuthPost = "client_id=DE45CD61&grant_type=password&username={0}&password={1}&x_emailauthcode={2}&scope=read_profile%20write_profile%20read_client%20write_client";
        internal static String SteamNotificationMessagePost = "?access_token={0}&umqid={1}&type=typing&steamid_dst={2}";
        internal static String SteamUserMessagePost = "?access_token={0}&umqid={1}&type=saytext&text={2}&steamid_dst={3}";
        internal static String SteamPollPost = "?access_token={0}&umqid={1}&message={2}";
        internal static String SteamLoginPost = "?access_token={0}";

        #endregion

        internal static String ServerUrl = @"https://63.228.223.110/{0}";

        // XML Formatted community data, ISteam path does  not support getting users in a group. This is necessary for smart objects to work.
        internal static String CommunityDataUrl = @"http://steamcommunity.com/{0}";
    }
}