﻿using System;
using System.Collections.Generic;
using System.Drawing;
using iSteam.Sdk.Data;

namespace iSteam.Sdk
{
    public interface ICore
    {
        List<Friend> GetFriends(String steamid = null);
        bool SendMessage(User user, String message);
        bool SendMessage(String steamid, String message);
        List<User> GetUserInfo(List<String> steamids);
        List<User> GetUserInfo(List<Friend> friends);
        User GetUserInfo(String steamid = null);
        Bitmap GetUserAvatar(User user, AvatarSize size = AvatarSize.Small);
        Bitmap GetGroupAvatar(GroupInfo group, AvatarSize size = AvatarSize.Small);
        List<Group> GetGroups(String steamid = null, GroupMembership groupMembership = GroupMembership.Member);
        List<GroupInfo> GetGroupInfo(List<String> steamids);
        List<GroupInfo> GetGroupInfo(List<Group> groups);
        GroupInfo GetGroupInfo(String steamid);
        ServerInfo GetServerInfo();
        bool SendTypingNotification(User user);
        AdditionalGroupInfo GetAdditionalGroupInfo(string steamId);
        //List<Update> Poll();
    }
}